<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/posts', [\App\Http\Controllers\PostController::class, 'index'])->name('posts');
Route::get('/post/create', [\App\Http\Controllers\PostController::class, 'create'])->name('post.create');
Route::post('/post/store', [\App\Http\Controllers\PostController::class, 'store'])->name('post.store');
Route::get('/post/edit/{id}', [\App\Http\Controllers\PostController::class, 'edit'])->name('post.edit');
Route::post('/post/update/{id}', [\App\Http\Controllers\PostController::class, 'update'])->name('post.update');
Route::get('/post/show/{id}', [\App\Http\Controllers\PostController::class, 'show'])->name('post.show');
Route::get('/post/favorite/{id}', [\App\Http\Controllers\PostController::class, 'favorite'])->name('post.favorite');
